spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "sadhen"<sad...@zoho.com>
Subject Re: code freeze and branch cut for Apache Spark 2.4
Date Sat, 01 Sep 2018 16:06:49 GMT
https://github.com/apache/spark/pull/22308
https://github.com/apache/spark/pull/22310


These two might be the last fixes for Scala 2.12 :)


Please review.


原始邮件
发件人:Sean Owensrowen@apache.org
收件人:antonkulagaantonkulaga@gmail.com
抄送:devdev@spark.apache.org
发送时间:2018年8月31日(周五) 05:00
主题:Re: code freeze and branch cut for Apache Spark 2.4


I know it's famous last words, but we really might be down to the last fix:https://github.com/apache/spark/pull/22264More
a question of making tests happy at this point I think than fundamental problems. My goal
is to make sure we can release a usable, but beta-quality, 2.12 release of Spark in 2.4.


On Thu, Aug 30, 2018 at 3:56 PM antonkulaga antonkulaga@gmail.com wrote:

There are a few PRs to fix Scala 2.12 issues. I think they will keep coming
 up and we don't need to block Spark 2.4 on this.
 
 I think it can be better to wait a bit for Scala 2.12 support in 2.4 than to
 suffer many months until Spark 2.5 with 2.12 support will be released. Scala
 2.12 is not only about Spark but also about a lot of Scala libraries that
 stopped supporting Scala 2.11, if Spark 2.4 will not support Scala 2.12,
 then people will not be able to use them in their Zeppelin, Jupyter and
 other notebooks together with Spark.
Mime
View raw message